#include <stdio.h>

#define MAX 100000
#define NUM_MAX 100

int main() {
	int i;
	int x;
	int rand1[MAX];
	int rand2[MAX];
	int count[2][NUM_MAX];
	
	// rand関数による乱数発生
	srand(23);
	for (i = 0; i < MAX; i++) {
		rand1[i] = rand()%NUM_MAX;
	}
	
	// x_(n+1) = 781x_n + 387 による乱数発生
	x = 1;
	for (i = 0; i < MAX; i++) {
		x = (781 * x + 387)%NUM_MAX;
		rand2[i] = x;
	}
	
	for (i = 0; i < NUM_MAX; i++) {
		count[0][i] = 0;
		count[1][i] = 0;
	}
	
	// それぞれをバケットソート
	for (i = 0; i < MAX; i++) {
		count[0][rand1[i]]++;
		count[1][rand2[i]]++;
	}
	
	// 出現個数を出力
	printf("数値\t出現個数1\t出現個数2\n");
	for (i = 0; i < NUM_MAX; i++) {
		printf("%d\t%d\t\t%d\n", i, count[0][i], count[1][i]);
	}
	return 0;
}

/*・実行結果でわかったこと
 *  x_(n+1) = 781x_n + 387 による乱数発生は乱数というより
 *  繰り返しサイクルが1000で、かつ全ての数値を一度だけ取る関数と言える。
 *  別の意味で便利かも？
 */
